function ShadowGreenLight:ResetOptions()
	self.options = { 
	    name = "ShadowGreenLight",
	    handler = ShadowGreenLight,
	    type = "group",
	    args = {
	    	config = {
	    		type = "execute",
			    handler = ShadowGreenLight,
			    guiHidden = true,
				name = "Config SGL",
				desc = "Open ShadowGreenLight configuration options",
	    		func = function()
	    			InterfaceOptionsFrame_OpenToCategory(self.optionsFrame)
	    		end,
	    		order = 0,
			},
	    	desc = {
	    		type = "description",
	    		name = "ShadowGreenLight aims at helping shadow priests decide whether refreshing SWP is profitable, based on which buffs / debuffs are available in your raid",
	    		order = 1,
			},
	        selectDisplay = {
	        	type = "select",
			    handler = ShadowGreenLight,
				name = "Display plugin selection",
				desc = "Select display plugin to use",
				get = function(info)
					return ShadowGreenLight.db.profile.selectedDisplay
				end,
				set = function(info, v)
					ShadowGreenLight:HideSelectedDisplay()
					ShadowGreenLight.db.profile.selectedDisplay = v
					ShadowGreenLight:BuildSelectedDisplayPluginShortcutOptions()
					ShadowGreenLight:CreateDisplay()
				end,
				values = function(info)
					local displays = {}
					for display, _ in pairs(ShadowGreenLight.registeredDisplays) do
						displays[display] = display
					end
					return displays
				end,
	    		order = 11,
			},
			toggleDebug = {
		        type = "toggle",
			    handler = ShadowGreenLight,
		        name = "Debug toggle",
		        desc = "Toggles debugging mode",
		        get = function(info)
		            return ShadowGreenLight.db.profile.debug
		        end,
		        set = function(info,v)
		            ShadowGreenLight.db.profile.debug = v
		            info.handler:Print("Debug mode " .. (v and "on" or "off"))
		        end,
	    		order = 12,
		    },	    
	    	displayPlugin = {
	    		type = "group",
	    		inline = true,
	    		name = "Display plugin",
	    		order = 20,
			},
	    },
	}
end